<?php

namespace App\Repositories;

use App\Models\GreenPieceSettings;
use App\Repositories\BaseRepository;

/**
 * Class GreenPieceSettingsRepository
 * @package App\Repositories
 * @version October 14, 2019, 6:24 pm UTC
*/

class GreenPieceSettingsRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return GreenPieceSettings::class;
    }
}
